Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.vocab
Class VCARD

    java.lang.Object
      org.apache.any23.vocab.Vocabulary
          org.apache.any23.vocab.VCARD

    public class VCARD

extends Vocabulary

Vocabulary definitions from vcard.owl

Field Summary
`org.openrdf.model.URI` | `additional_name` An additional part of a person's name.
`org.openrdf.model.URI` | `Address` Resources that are vCard (postal) addresses.
`org.openrdf.model.URI` | `addressType`
`org.openrdf.model.URI` | `adr` A postal or street address of a person.
`org.openrdf.model.URI` | `agent` A person that acts as one's agent.
`org.openrdf.model.URI` | `bday` The birthday of a person.
`org.openrdf.model.URI` | `category` A category of a vCard.
`org.openrdf.model.URI` | `class_` A class (e.g., public, private, etc.) of a vCard.
`org.openrdf.model.URI` | `country_name` The country of a postal address.
`org.openrdf.model.URI` | `email` An email address.
`org.openrdf.model.URI` | `extended_address` The extended address of a postal address.
`org.openrdf.model.URI` | `family_name` A family name part of a person's name.
`org.openrdf.model.URI` | `fax` A fax number of a person.
`org.openrdf.model.URI` | `fn` A formatted name of a person.
`org.openrdf.model.URI` | `geo` A geographic location associated with a person.
`org.openrdf.model.URI` | `given_name` A given name part of a person's name.
`org.openrdf.model.URI` | `homeAdr` A home address of a person.
`org.openrdf.model.URI` | `homeTel` A home phone number of a person.
`org.openrdf.model.URI` | `honorific_prefix` An honorific prefix part of a person's name.
`org.openrdf.model.URI` | `honorific_suffix` An honorific suffix part of a person's name.
`org.openrdf.model.URI` | `key` A key (e.g, PKI key) of a person.
`org.openrdf.model.URI` | `label` The formatted version of a postal address (a string with embedded line breaks, punctuation, etc.).
`org.openrdf.model.URI` | `latitude` The latitude of a geographic location.
`org.openrdf.model.URI` | `locality` The locality (e.g., city) of a postal address.
`org.openrdf.model.URI` | `Location` Resources that are vCard geographic locations.
`org.openrdf.model.URI` | `logo` A logo associated with a person or their organization.
`org.openrdf.model.URI` | `longitude` The longitude of a geographic location.
`org.openrdf.model.URI` | `mailer` A mailer associated with a vCard.
`org.openrdf.model.URI` | `mobileEmail` A mobile email address of a person.
`org.openrdf.model.URI` | `mobileTel` A mobile phone number of a person.
`org.openrdf.model.URI` | `n` The components of the name of a person.
`org.openrdf.model.URI` | `Name` Resources that are vCard personal names.
`org.openrdf.model.URI` | `NAMESPACE` The namespace of the vocabulary as a URI.
`org.openrdf.model.URI` | `nickname` The nickname of a person.
`org.openrdf.model.URI` | `note` Notes about a person on a vCard.
`static String` | `NS` The namespace of the vocabulary as a string.
`org.openrdf.model.URI` | `org` An organization associated with a person.
`org.openrdf.model.URI` | `Organization` Resources that are vCard organizations.
`org.openrdf.model.URI` | `organization_name` The name of an organization.
`org.openrdf.model.URI` | `organization_unit` The name of a unit within an organization.
`org.openrdf.model.URI` | `personalEmail` An email address unaffiliated with any particular organization or employer; a personal email address.
`org.openrdf.model.URI` | `photo` A photograph of a person.
`org.openrdf.model.URI` | `post_office_box` The post office box of a postal address.
`org.openrdf.model.URI` | `postal_code` The postal code (e.g., U.S.
`org.openrdf.model.URI` | `region` The region (e.g., state or province) of a postal address.
`org.openrdf.model.URI` | `rev` The timestamp of a revision of a vCard.
`org.openrdf.model.URI` | `role` A role a person plays within an organization.
`org.openrdf.model.URI` | `sort_string` A version of a person's name suitable for collation.
`org.openrdf.model.URI` | `sound` A sound (e.g., a greeting or pronounciation) of a person.
`org.openrdf.model.URI` | `street_address` The street address of a postal address.
`org.openrdf.model.URI` | `tel` A telephone number of a person.
`org.openrdf.model.URI` | `Telephone` Resources that are vCard Telephones.
`org.openrdf.model.URI` | `title` A person's title.
`org.openrdf.model.URI` | `tz` A timezone associated with a person.
`org.openrdf.model.URI` | `uid` A UID of a person's vCard.
`org.openrdf.model.URI` | `unlabeledAdr` An (explicitly) unlabeled address of a person.
`org.openrdf.model.URI` | `unlabeledEmail` An (explicitly) unlabeled email address of a person.
`org.openrdf.model.URI` | `unlabeledTel` An (explicitly) unlabeled phone number of a person.
`org.openrdf.model.URI` | `url` A URL associated with a person.
`org.openrdf.model.URI` | `VCard` Resources that are vCards
`org.openrdf.model.URI` | `workAdr` A work address of a person.
`org.openrdf.model.URI` | `workEmail` A work email address of a person.
`org.openrdf.model.URI` | `workTel` A work phone number of a person.

Constructor Summary
`VCARD()`

Method Summary
`static VCARD` | `getInstance()`

Methods inherited from class org.apache.any23.vocab.Vocabulary
`createClass, createProperty, createURI, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

  The namespace of the vocabulary as a string.

  See Also:
    Constant Field Values

### NAMESPACE

    public final org.openrdf.model.URI NAMESPACE

  The namespace of the vocabulary as a URI.

### additional_name

    public final org.openrdf.model.URI additional_name

  An additional part of a person's name.

### adr

    public final org.openrdf.model.URI adr

  A postal or street address of a person.

### agent

    public final org.openrdf.model.URI agent

  A person that acts as one's agent.

### bday

    public final org.openrdf.model.URI bday

  The birthday of a person.

### category

    public final org.openrdf.model.URI category

  A category of a vCard.

### class_

    public final org.openrdf.model.URI class_

  A class (e.g., public, private, etc.) of a vCard.

### country_name

    public final org.openrdf.model.URI country_name

  The country of a postal address.

### email

    public final org.openrdf.model.URI email

  An email address.

### extended_address

    public final org.openrdf.model.URI extended_address

  The extended address of a postal address.

### family_name

    public final org.openrdf.model.URI family_name

  A family name part of a person's name.

### fax

    public final org.openrdf.model.URI fax

  A fax number of a person.

### fn

    public final org.openrdf.model.URI fn

  A formatted name of a person.

### geo

    public final org.openrdf.model.URI geo

  A geographic location associated with a person.

### given_name

    public final org.openrdf.model.URI given_name

  A given name part of a person's name.

### homeAdr

    public final org.openrdf.model.URI homeAdr

  A home address of a person.

### homeTel

    public final org.openrdf.model.URI homeTel

  A home phone number of a person.

### honorific_prefix

    public final org.openrdf.model.URI honorific_prefix

  An honorific prefix part of a person's name.

### honorific_suffix

    public final org.openrdf.model.URI honorific_suffix

  An honorific suffix part of a person's name.

### key

    public final org.openrdf.model.URI key

  A key (e.g, PKI key) of a person.

### label

    public final org.openrdf.model.URI label

  The formatted version of a postal address (a string with embedded line breaks, punctuation, etc.).

### latitude

    public final org.openrdf.model.URI latitude

  The latitude of a geographic location.

### locality

    public final org.openrdf.model.URI locality

  The locality (e.g., city) of a postal address.

### logo

    public final org.openrdf.model.URI logo

  A logo associated with a person or their organization.

### longitude

    public final org.openrdf.model.URI longitude

  The longitude of a geographic location.

### mailer

    public final org.openrdf.model.URI mailer

  A mailer associated with a vCard.

### mobileEmail

    public final org.openrdf.model.URI mobileEmail

  A mobile email address of a person.

### mobileTel

    public final org.openrdf.model.URI mobileTel

  A mobile phone number of a person.

### n

    public final org.openrdf.model.URI n

  The components of the name of a person.

### nickname

    public final org.openrdf.model.URI nickname

  The nickname of a person.

### note

    public final org.openrdf.model.URI note

  Notes about a person on a vCard.

### org

    public final org.openrdf.model.URI org

  An organization associated with a person.

### organization_name

    public final org.openrdf.model.URI organization_name

  The name of an organization.

### organization_unit

    public final org.openrdf.model.URI organization_unit

  The name of a unit within an organization.

### personalEmail

    public final org.openrdf.model.URI personalEmail

  An email address unaffiliated with any particular organization or employer; a personal email address.

### photo

    public final org.openrdf.model.URI photo

  A photograph of a person.

### post_office_box

    public final org.openrdf.model.URI post_office_box

  The post office box of a postal address.

### postal_code

    public final org.openrdf.model.URI postal_code

  The postal code (e.g., U.S. ZIP code) of a postal address.

### region

    public final org.openrdf.model.URI region

  The region (e.g., state or province) of a postal address.

### rev

    public final org.openrdf.model.URI rev

  The timestamp of a revision of a vCard.

### role

    public final org.openrdf.model.URI role

  A role a person plays within an organization.

### sort_string

    public final org.openrdf.model.URI sort_string

  A version of a person's name suitable for collation.

### sound

    public final org.openrdf.model.URI sound

  A sound (e.g., a greeting or pronounciation) of a person.

### street_address

    public final org.openrdf.model.URI street_address

  The street address of a postal address.

### tel

    public final org.openrdf.model.URI tel

  A telephone number of a person.

### title

    public final org.openrdf.model.URI title

  A person's title.

### tz

    public final org.openrdf.model.URI tz

  A timezone associated with a person.

### uid

    public final org.openrdf.model.URI uid

  A UID of a person's vCard.

### unlabeledAdr

    public final org.openrdf.model.URI unlabeledAdr

  An (explicitly) unlabeled address of a person.

### unlabeledEmail

    public final org.openrdf.model.URI unlabeledEmail

  An (explicitly) unlabeled email address of a person.

### unlabeledTel

    public final org.openrdf.model.URI unlabeledTel

  An (explicitly) unlabeled phone number of a person.

### url

    public final org.openrdf.model.URI url

  A URL associated with a person.

### workAdr

    public final org.openrdf.model.URI workAdr

  A work address of a person.

### workEmail

    public final org.openrdf.model.URI workEmail

  A work email address of a person.

### workTel

    public final org.openrdf.model.URI workTel

  A work phone number of a person.

### Address

    public final org.openrdf.model.URI Address

  Resources that are vCard (postal) addresses.

### addressType

    public final org.openrdf.model.URI addressType

### Telephone

    public final org.openrdf.model.URI Telephone

  Resources that are vCard Telephones.

### Location

    public final org.openrdf.model.URI Location

  Resources that are vCard geographic locations.

### Name

    public final org.openrdf.model.URI Name

  Resources that are vCard personal names.

### Organization

    public final org.openrdf.model.URI Organization

  Resources that are vCard organizations.

### VCard

    public final org.openrdf.model.URI VCard

  Resources that are vCards

Constructor Detail

### VCARD

    public VCARD()

Method Detail

### getInstance

    public static VCARD getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.